Debian Bug report logs - #685791
support apt.conf.d in lb_chroot_apt

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Thanatermesis <thanatermesis@gmail.com>

Date: Fri, 24 Aug 2012 15:00:14 UTC

Severity: wishlist

Found in versions live-build/3.0~a57-1, live-build/3.0~a51-1

Fixed in versions live-build/3.0~a69-1, live-build/4.0~a2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Fri, 24 Aug 2012 15:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Aug 2012 15:00:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: apt.conf.d files support
Date: Fri, 24 Aug 2012 16:59:22 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a57-1
Severity: wishlist
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a33-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
pn  parted           <none>
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQN5bKAAoJEKLHmb/f+NfCQyEP/1ByDxot5TetlE4A6TUdAxtU
6WTwhyJsCi//J0XEAcTKE57i1ofhAuQgVLEPgLjU0tIDE/OAB5Z7olQD6dAwSw3m
LAUaVK4XAXOdqp7BB72BxEXyFfjBlCu+jgY/LCAdbVQG7FXxneoLwHWnhKor92yU
VJv2/1C8TSt1nc06CCYMCSmtRdWmajv6XtWt0f1qfWN07DLaebjjqjH27NS4swTJ
X+m3HatF1sSI5LWnsnW9malCKJtuor0xwZ1hKKHJHLWLAUt2R2vipekFfo/6jHSW
BWQidYv3L/HLlbBsX6nWzb151IufQ+urBlsExdgcfpRtCepPTgvizvqPRjVYOwbS
yNhPp0f8YRMdzHBOxgkQiEYyAIKHIh1QD1lrFuZSSXfMrlE7AD+rtuCBOjbmI0Km
yZZsJyY6zIYL3D6kMFuo+Jezq7+8qYAfnpuDaSdc1ODh2FtLeSUWCH1yf0gCn41O
CNUAfQs6UFDApwcdq4wCwGN1P1bljzCEDNPzUYYq/Fs4AQszLZ4l/9+ewaf8Vpry
gkDF+NR2/bvo9gVqoY9044fodogypxF1E/Ugmu754lIYD5srLpExl9t39/IZNVq7
C0yZu5BqkS4WDwSQBzkuDTMMDXLa88Jc2UuHIHIRqWqf3f347x3n3VypQ+B4CVmH
QTSb/syMMYWtKERmVVX2
=W0Hf
-----END PGP SIGNATURE-----
[adding_apt.conf.d_files (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Sun, 26 Aug 2012 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 26 Aug 2012 14:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 685791@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <685791@bugs.debian.org>
Subject: live-build: updated and fixed patch
Date: Sun, 26 Aug 2012 16:40:53 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a57-1
Followup-For: Bug #685791

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

The previous patch adds a feature for add /etc/apt/apt.conf.d/ files
just like the preferences one, but looking at the bug #685924 it is also
affected, so there is an updated patch with the bug fixed too

- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a33-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
pn  parted           <none>
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQOjV1AAoJEKLHmb/f+NfC+d0QAKUgGQ4dCuWjAewrLHOwLOA5
bM71WfejZQYyaszckywaBNNndKBGwpAVAimLSOipXlwpVgDZ0S3xWB1XZwnZP1Ef
h4dCxAZbkYTEp4WETL2W+7Udgw+yttkTKglhDcNNRBZIE3xsNW5RM9n+5iJnxoml
WXyujzbz/3SRIx9CPf+j9ZUhuM9/pbpI+3lPdN7D/BV7QOlA0eHyeoj8aq83iAd1
JvM13ih+R06ca7UeDeeM2LekLjB2ppmPfBstiI39/DVPUhUcY8cyr0BHkzQVZwlA
x5PwTOVUbRbDn0pILqpLCcb6i2WNFDaTzV+cgBCFUuL/NGSaSNF7sAOrpfMRSezM
gIEJkSSp4zYQ1OxWTnBOyVl576pkGSwOZdVcV0iXFl77y7ddw7D3+eVVDCld0OAX
U6aXPUdfB6lVa7r11Oifaa4h7j0KMBwfYBlp6jRAntoMOAnFlLd/wWenUMqIWSnV
jwTCSCVJNsZ6u476w9yUF0bkFuLTXL8ikzt6EhTXRJFU1OiUq/72lYgH+8KHpg3R
xGYSI4IJcOn/IWZp+hFS4/6tL1uPncj/m3aj82t1QoKnbhDlY2yUil9yN0l8k7tX
ZrxCLGg5rRY1Hv3TA3RhpDvD49Dw+sfn1xk2XI7cyzJOCBgv92xJUoRm6gfIXxFZ
tZUSmmrUtYeGYFBz0zcw
=cUjZ
-----END PGP SIGNATURE-----
[patch.feature.add-apt.conf.d-files (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Mon, 27 Aug 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 27 Aug 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 685791@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Thanatermesis <thanatermesis@gmail.com>
Cc: 685791@bugs.debian.org
Subject: Re: Bug#685791: live-build: updated and fixed patch
Date: Mon, 27 Aug 2012 12:49:54 +0200
retitle 685791 support apt.conf.d in lb_chroot_apt
blocked 685791 by 685924
thanks

> The previous patch adds a feature for add /etc/apt/apt.conf.d/ files
> just like the preferences one, but looking at the bug #685924 it is also
> affected, so there is an updated patch with the bug fixed too

#685924 needs to be handled first before this can be changed.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'support apt.conf.d in lb_chroot_apt' from 'live-build: apt.conf.d files support' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:51:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 685791: 685924 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Tue, 13 Nov 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 13 Nov 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #24 received at 685791@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <685791@bugs.debian.org>
Subject: Re: support apt.conf.d in lb_chroot_apt
Date: Tue, 13 Nov 2012 19:43:42 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a51-1
Followup-For: Bug #685791

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Updated patch for the SID version

- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
ii  parted           2.3-11
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
pn  uuid-runtime     <none>
pn  win32-loader     <none>

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQopTeAAoJEKLHmb/f+NfC3eYP/1+DAlPrMs73uuHaJsFfZc+U
hGjqCzSv3uD0PekIxBOXo6luQfXSEDY77xzMCXvjH8ZFFtW318H2Q2TjD3UWo7YX
nH3+x65KznQfFov+5XOMXyaHqCae5r5Gi5uPnorkD3t5hvNEA6jcbKJxddHxR6Tt
OLQod93g8Uxj3L2q+QtY0cOm/TgMsl/c6gULSa+4S1Ss1oOnrwKd7jUyTTfGuwfg
gS/LMUfn+RbrRUU9TekiP0PnkMlTOct/1CE/KP8LUD4aDG8+f74xjzxVBw0CE1PQ
bZbTdosuocpJ8hrq7yhDcnYw8QdhVkEahO2ORQS+p+kwbiXBAtCgAWesOViaDJjL
n8KukjidzdkGd9LczzSIuQ5CYkzG1XuaXCFRf6zvdgpB4gnMAgXRZa4ye2ppgus2
SktOJ9BYBKaXrCBEkMqeGkGRUjnOg0BR8weLHq1AQwec6brjR1uNf9SS0HMgT0+z
B6JgkvdhU8n9a5wOzmo/ZJN17KBFPTwfg82B2DqFMUCHB/dQSi4rcW6TPrexuLxl
JXMxPD6oteKyfVIEPGmQUPnyn5K9HIHrBTfBrLiwQle3WzmXdnwQDxnGBOkjkmKN
mkjzE55vh8zxDxnwazJJcKDiq6OtiVl0BuQxXbTO54jDb2zfTdsqNvbf8ITikAc9
aTBod+rrzWTdVJHx4QCW
=fmlz
-----END PGP SIGNATURE-----
[patch.apt.conf.d-support__sid.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Sun, 18 Nov 2012 11:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 18 Nov 2012 11:33:12 GMT) Full text and rfc822 format available.

Message #29 received at 685791@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: Thanatermesis <thanatermesis@gmail.com>
Cc: 685791@bugs.debian.org
Subject: Re: Bug#685791: support apt.conf.d in lb_chroot_apt
Date: Sun, 18 Nov 2012 12:29:06 +0100
Thanatermesis wrote (13 Nov 2012 18:43:42 GMT) :
> Updated patch for the SID version

Looks good to me.

I've no live-build 3.x ready to test it (shame on me),
so I'll refrain from pushing to Git, though.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685791; Package live-build. (Tue, 04 Dec 2012 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Dec 2012 11:15:05 GMT) Full text and rfc822 format available.

Message #34 received at 685791@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 685791-submitter@bugs.debian.org
Cc: 685791@bugs.debian.org
Subject: Re: support apt.conf.d in lb_chroot_apt
Date: Tue, 04 Dec 2012 12:11:43 +0100
tag 685791 - patch
tag 685791 pending
thanks

the patch didn't address several occurences within chroot_archives, 
however, i did add support for conf.d in git in proper now.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Removed tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 11:15:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 04 Dec 2012 11:15:07 GMT) Full text and rfc822 format available.

Message sent on to Thanatermesis <thanatermesis@gmail.com>:
Bug#685791. (Tue, 04 Dec 2012 11:15:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 06 Dec 2012 21:06:04 GMT) Full text and rfc822 format available.

Notification sent to Thanatermesis <thanatermesis@gmail.com>:
Bug acknowledged by developer. (Thu, 06 Dec 2012 21:06:04 GMT) Full text and rfc822 format available.

Message #46 received at 685791-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685791-close@bugs.debian.org
Subject: Bug#685791: fixed in live-build 3.0~a69-1
Date: Thu, 06 Dec 2012 21:03:52 +0000
Source: live-build
Source-Version: 3.0~a69-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Dec 2012 21:09:00 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a69-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 685791
Changes: 
 live-build (3.0~a69-1) unstable; urgency=low
 .
   * Also avoiding to use xz compression for squashfs for kubuntu.
   * Removing some leftovers from stripped and minimal package lists.
   * Updating powerpc kernel list on ubuntu.
   * Adding dropped empty-line separator in defaults.
   * Adding dropped empty-line separator in binary_debian-installer.
   * Updating wording about regenerating config trees.
   * Correcting test for no config tree version number to match all other
     cases, not just lower-than-1.
   * Harmonizing apt configuration handling in chroot_archives.
   * Adding support for local apt conf.d snippets in archive definitions
     (Closes: #685791).
   * Ensuring that functions are either sources locally or globally, but
     not both.
   * Adding proper header to build.sh include.
   * Dropping ubuntu guards on firmware selection code, we're not enabling
     firmware inclusion in ubuntu mode anyway.
   * Adding back legacy filtering for firmware packages on squeeze when
     contrib or non-free is not enabled.
Checksums-Sha1: 
 9ad9d5989f60a22d581652df8cc9346c5eaf7018 1329 live-build_3.0~a69-1.dsc
 9a95c2ed98e9dc5b92fdb9be6840017368563910 162704 live-build_3.0~a69.orig.tar.xz
 94547e7fbda2b72b16ccfe1751db003c6bee7fb8 49920 live-build_3.0~a69-1.debian.tar.xz
 02de6714739add29762c39975a61fff330a4dab1 196064 live-build_3.0~a69-1_all.deb
 73b306b272fcbe6fbd095c232f83b6e7564fba71 74110 live-build-cgi_3.0~a69-1_all.deb
Checksums-Sha256: 
 9da025d1fef5c334a6a43227bd2ae5eaa4d236e5de31713928e1fa1009ee1f20 1329 live-build_3.0~a69-1.dsc
 aa4fd8e2ebece1d138aabe41d71b4c54241f677e765201c5e6ef8166459cfb5d 162704 live-build_3.0~a69.orig.tar.xz
 486f3529c081546188439a18d01a0963e7602b9e4c5ac82fc7b8f23ebf333eca 49920 live-build_3.0~a69-1.debian.tar.xz
 f7254ae196d7841a3252dc23ab52a8b3fe0a16cd434a362f02b93147756ae6d6 196064 live-build_3.0~a69-1_all.deb
 e28a36bd46b00665a3e8740f5002f930136062c8d87eed589cbf868862d4deed 74110 live-build-cgi_3.0~a69-1_all.deb
Files: 
 eaf3523b6215d3a012cdf00141eec173 1329 misc optional live-build_3.0~a69-1.dsc
 0e08d145275f45796a3a8a2783a0d00b 162704 misc optional live-build_3.0~a69.orig.tar.xz
 ce962b3e46be975871ea0339fdb3cf3d 49920 misc optional live-build_3.0~a69-1.debian.tar.xz
 eff9fb15c392f95f92c087ff8ecd7936 196064 misc optional live-build_3.0~a69-1_all.deb
 5365982d0f0bf5abadb34b93a321581e 74110 misc optional live-build-cgi_3.0~a69-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDA/aMACgkQ+C5cwEsrK575qQCfZaVdG8ThcqXnsaYN3S2cwUbH
EcQAn3CD5nBDdAj0LO7ihS300+/Qmf9P
=hBGc
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 06 Dec 2012 21:06:06 GMT) Full text and rfc822 format available.

Notification sent to Thanatermesis <thanatermesis@gmail.com>:
Bug acknowledged by developer. (Thu, 06 Dec 2012 21:06:06 GMT) Full text and rfc822 format available.

Message #51 received at 685791-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685791-close@bugs.debian.org
Subject: Bug#685791: fixed in live-build 4.0~a2-1
Date: Thu, 06 Dec 2012 21:03:58 +0000
Source: live-build
Source-Version: 4.0~a2-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Dec 2012 21:17:32 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 685791 695091
Changes: 
 live-build (4.0~a2-1) experimental; urgency=low
 .
   * Removing some leftovers from stripped and minimal package lists.
   * Updating powerpc kernel list on ubuntu.
   * Adding dropped empty-line separator in defaults.
   * Adding dropped empty-line separator in binary_debian-installer.
   * Updating version config tree version check (Closes: #695091).
   * Updating wording about regenerating config trees.
   * Harmonizing apt configuration handling in chroot_archives.
   * Adding support for local apt conf.d snippets in archive definitions
     (Closes: #685791).
   * Ensuring that functions are either sources locally or globally, but
     not both.
   * Adding proper header to build.sh include.
   * Dropping ubuntu guards on firmware selection code, we're not enabling
     firmware inclusion in ubuntu mode anyway.
   * Adding 3.0~a69-1 changelog entries.
Checksums-Sha1: 
 afbec4ac5f3bd814a3a8354f5878a87d46ee7fbb 1322 live-build_4.0~a2-1.dsc
 3a17bb704a7315ece620c3d87d8df32474311b74 162280 live-build_4.0~a2.orig.tar.xz
 4f71d4db292e301990b5f99382f79f60f0cc87d7 49972 live-build_4.0~a2-1.debian.tar.xz
 569ce19b1ce99b0842ebed04154aef6466d24620 195698 live-build_4.0~a2-1_all.deb
 4a6c9ad5e82796072d2f259715e16678b0b5d321 74168 live-build-cgi_4.0~a2-1_all.deb
Checksums-Sha256: 
 e46b4d89bbd7fc4d97841ccbf2126593041dda66d0d286547972466229a9e044 1322 live-build_4.0~a2-1.dsc
 4d55e86c82e67318dd7e75203196de06b841373e528dae9c1f005e2bad2e1d71 162280 live-build_4.0~a2.orig.tar.xz
 f174835559b390dcdf7abce096f2f6bf3913dd9294e7591c2d054bb079b79bb3 49972 live-build_4.0~a2-1.debian.tar.xz
 2b38a8c8d00b92a4bf560342868133c6a7b9346b452dcfa193d1145f64807a68 195698 live-build_4.0~a2-1_all.deb
 b5dc088a707f536407bd71db195b9f291d0b359f86a1ddb5db5960b83f8d65e9 74168 live-build-cgi_4.0~a2-1_all.deb
Files: 
 1417c733f41c6e63f87d5f76b8ab29ec 1322 misc optional live-build_4.0~a2-1.dsc
 b6db4f222de8aa393e0c92d303dc75c6 162280 misc optional live-build_4.0~a2.orig.tar.xz
 87a8d876b5963b7f65c4375c5f2f8a85 49972 misc optional live-build_4.0~a2-1.debian.tar.xz
 ce6ba55b98ca18bb555b972b071734ed 195698 misc optional live-build_4.0~a2-1_all.deb
 f55349a9d5e46b7b53326c73e417e436 74168 misc optional live-build-cgi_4.0~a2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEUEARECAAYFAlDA/esACgkQ+C5cwEsrK56jCwCfXlpykKkPO/PtKDDnNATPC2/U
Wb4Al1qTZniPxVCj35ZzIlxYAxtKQmc=
=1nAw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:28:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:26:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.